micro_utils.dokka
0.15.1

# AbstractExposedReadKeyValueRepo

abstract class AbstractExposedReadKeyValueRepo<Key, Value>(val database: <Error class: unknown class>, tableName: String? = null) : ReadKeyValueRepo<Key, Value> , CommonExposedRepo<Key, Value>

## Constructors

AbstractExposedReadKeyValueRepo
Link copied to clipboard
fun AbstractExposedReadKeyValueRepo(database: <Error class: unknown class>, tableName: String? = null)

## Functions

contains
Link copied to clipboard
open suspend override fun contains(key: Key): Boolean
count
Link copied to clipboard
open suspend override fun count(): Long
get
Link copied to clipboard
open suspend override fun get(k: Key): Value?
keys
Link copied to clipboard
open suspend override fun keys(pagination: Pagination, reversed: Boolean): PaginationResult<Key>
open suspend override fun keys(v: Value, pagination: Pagination, reversed: Boolean): PaginationResult<Key>

This method should use sorted by Keys search and take the PaginationResult. By default, it should use ascending sort for Keys

values
Link copied to clipboard
open suspend override fun values(pagination: Pagination, reversed: Boolean): PaginationResult<Value>

This method should use sorted by Keys search and take the PaginationResult. By default, it should use ascending sort for Keys

## Properties

asId
Link copied to clipboard
open override val <Error class: unknown class>.asId: Key
asKey
Link copied to clipboard
abstract val <Error class: unknown class>.asKey: Key

Same as asId in context of KeyValue repo

asObject
Link copied to clipboard
abstract val <Error class: unknown class>.asObject: Value
database
Link copied to clipboard
open override val database: <Error class: unknown class>
keyColumn
Link copied to clipboard
abstract val keyColumn: <Error class: unknown class><out <Error class: unknown class>>
selectAll
Link copied to clipboard
open val selectAll: <Error class: unknown class>.() -> <Error class: unknown class>
selectById
Link copied to clipboard
abstract val selectById: <Error class: unknown class>.(Key) -> <Error class: unknown class><Boolean>
selectByIds
Link copied to clipboard
open val selectByIds: <Error class: unknown class>.(List<Key>) -> <Error class: unknown class><Boolean>
selectByValue
Link copied to clipboard
abstract val selectByValue: <Error class: unknown class>.(Value) -> <Error class: unknown class><Boolean>

## Inheritors

AbstractExposedKeyValueRepo
Link copied to clipboard
ExposedReadKeyValueRepo
Link copied to clipboard

## Extensions

cached
Link copied to clipboard
fun <Key, Value> ReadKeyValueRepo<Key, Value>.cached(kvCache: KVCache<Key, Value>): ReadKeyValueCacheRepo<Key, Value>
fun <Key, Value> ReadKeyValueRepo<Key, Value>.cached(kvCache: FullKVCache<Key, Value>): FullReadKeyValueCacheRepo<Key, Value>
withMapper
Link copied to clipboard
inline fun <FromKey, FromValue, ToKey, ToValue> ReadKeyValueRepo<ToKey, ToValue>.withMapper(mapper: MapperRepo<FromKey, FromValue, ToKey, ToValue>): ReadKeyValueRepo<FromKey, FromValue>
inline fun <FromKey, FromValue, ToKey, ToValue> ReadKeyValueRepo<ToKey, ToValue>.withMapper(noinline keyFromToTo: suspend FromKey.() -> ToKey = { this as ToKey }, noinline valueFromToTo: suspend FromValue.() -> ToValue = { this as ToValue }, noinline keyToToFrom: suspend ToKey.() -> FromKey = { this as FromKey }, noinline valueToToFrom: suspend ToValue.() -> FromValue = { this as FromValue }): ReadKeyValueRepo<FromKey, FromValue>